NClobProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc
Class NClobProxy

    java.lang.Object
      org.hibernate.engine.jdbc.ClobProxy
          org.hibernate.engine.jdbc.NClobProxy

All Implemented Interfaces:
  InvocationHandler

    public class NClobProxy

extends ClobProxy

Manages aspects of proxying java.sql.NClobs for non-contextual creation, including proxy creation and handling proxy invocations.

Generated proxies are typed as `Clob` (java.sql.NClob extends `Clob`) and in JDK 1.6 environments, they are also typed to java.sql.NClob

Field Summary
`static Class[]` | `PROXY_INTERFACES`

Constructor Summary
`protected` | `NClobProxy(Reader reader, long length)`
`protected` | `NClobProxy(String string)`

Method Summary
`static NClob` | `generateProxy(Reader reader, long length)` Generates a `Clob` proxy using a character reader of given length.
`static NClob` | `generateProxy(String string)` Generates a `Clob` proxy using the string data.
`protected static ClassLoader` | `getProxyClassLoader()` Determines the appropriate class loader to which the generated proxy should be scoped.

Methods inherited from class org.hibernate.engine.jdbc.ClobProxy
`getAsciiStream, getCharacterStream, getLength, getSubString, invoke, resetIfNeeded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROXY_INTERFACES

    public static final Class[] PROXY_INTERFACES

Constructor Detail

### NClobProxy

    protected NClobProxy(String string)

### NClobProxy

    protected NClobProxy(Reader reader,
                         long length)

Method Detail

### generateProxy

    public static NClob generateProxy(String string)

  Generates a `Clob` proxy using the string data.

  Parameters:
    `string` - The data to be wrapped as a `Clob`.
  Returns:
    The generated proxy.

### generateProxy

    public static NClob generateProxy(Reader reader,
                                      long length)

  Generates a `Clob` proxy using a character reader of given length.

  Parameters:
    `reader` - The character reader
    `length` - The length of the character reader
  Returns:
    The generated proxy.

### getProxyClassLoader

    protected static ClassLoader getProxyClassLoader()

  Determines the appropriate class loader to which the generated proxy should be scoped.

  Returns:
    The class loader appropriate for proxy construction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.